Soft-delete metadata by FQN
curl --request DELETE \
--url https://api.example.com/utils/{resource_type}/{resource_uri}/metadata \
--header 'Authorization: Bearer <token>' \
--header 'X-Project-ID: <x-project-id>'import requests
url = "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata"
headers = {
"X-Project-ID": "<x-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Project-ID': '<x-project-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/utils/{resource_type}/{resource_uri}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}metadata
Soft-delete metadata by FQN
Soft-delete a metadata entity (all versions + cascade) or a single version row.
DELETE
/
utils
/
{resource_type}
/
{resource_uri}
/
metadata
Soft-delete metadata by FQN
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Fully qualified name of the entity to delete
'*' to delete entity (all versions + cascade), or version string (e.g., '0.1') to delete a single version
Pattern:
^(\d+\.\d+|\*)$Asset type hint (for validation; not required since FQN is unique within tenant scope) Asset type discriminator values.
Available options:
database, database_schema, table, column Response
Deleted successfully
Was this page helpful?
⌘I

